function d = hex2dec (h)

  # usage:  hex2dec (h)
  #
  # Returns the decimal number corresponding to the hex number in
  # quotes.  For example, hex2dec("12B") and hex2dec("12b") both
  # return 299.
  
  # Written by KH (Kurt.Hornik@ci.tuwien.ac.at) on Sep 4, 1994
  # Copyright Dept of Probability Theory and Statistics TU Wien

  if !(isstr (h))
    error ("hex2dec:  expecting a string argument");
  endif
  
  d = sscanf (h, "%x");
  
endfunction
